API referencePublished posts

POST /posts/{id}/edit

Edit the text of the post on the platform (Facebook; Telegram text or caption, keeping the post's parseMode; Discord message text; X Premium within 1 hour, as a new post id; the Postgale post keeps its text). Queued for approval (202) while approval applies

POST
/posts/{id}/edit

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Postgale post id

Request Body

application/json
  1. body
content*string
Lengthlength <= 40000
accountId?string

Only this target

Response Body

{postId, results}: per target; with one target (or accountId) its failure is the error

application/json
  1. response
postId?string
results?array<>
Example Request
curl -X POST 'https://example.com/api/v1/posts/string/edit' \  -H 'Content-Type: application/json' \  -d '{  "content": "string"}'
Example Response
{  "postId": "string",  "results": [    {      "accountId": "string",      "platform": "string",      "platformPostId": "string",      "ok": true,      "code": "string",      "error": "string"    }  ]}